package com.yunfeiyun.agmp.common.framework.validator.annotation;

import com.yunfeiyun.agmp.common.framework.validator.PasswordValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.TYPE)
@Constraint(validatedBy = PasswordValidator.class)
public @interface PasswordEqual {

    int min() default 4;
    int max() default 24;
    String message() default "密码校验错误";
    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
